%define module	BerkeleyDB
%define name	perl-%{module}
%define version	0.34
%define release	%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl module for BerkeleyDB 2.x and greater
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/BerkeleyDB/%{module}-%{version}.tar.gz
BuildRequires:	db4-devel
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
BerkeleyDB is a module which allows Perl programs to make use of the
facilities provided by Berkeley DB version 2 or greater. (Note: if
you want to use version 1 of Berkeley DB with Perl you need the DB_File
module).

Berkeley DB is a C library which provides a consistent interface to a
number of database formats. BerkeleyDB provides an interface to all
four of the database types (hash, btree, queue and recno) currently
supported by Berkeley DB.

For further details see the documentation in the file BerkeleyDB.pod.

%prep
%setup -q -n %{module}-%{version}
chmod 644 Changes README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%{__make} test

%clean 
%{__rm} -rf %{buildroot}

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorarch}/BerkeleyDB*
%{perl_vendorarch}/auto/BerkeleyDB
%{_mandir}/*/*





%changelog
* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.34-2mdv2009.0
+ Revision: 265338
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-1mdv2009.0
+ Revision: 193745
- update to new version 0.34

* Tue Jan 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.33-1mdv2008.1
+ Revision: 156850
- new version

* Mon Jan 14 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.32-3mdv2008.1
+ Revision: 151851
- rebuild

* Sun Dec 23 2007 Oden Eriksson <oeriksson@mandriva.com> 0.32-2mdv2008.1
+ Revision: 137249
- rebuilt against bdb 4.6.x

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 16 2007 Olivier Thauvin <nanardon@mandriva.org> 0.32-1mdv2008.0
+ Revision: 52437
- 0.32


* Mon Nov 13 2006 Olivier Thauvin <nanardon@mandriva.org> 0.31-1mdv2007.0
+ Revision: 83880
- 0.31

* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org> 0.29-2mdv2007.0
+ Revision: 53702
- rebuild
- Import perl-BerkeleyDB

* Mon Jul 10 2006 Emmanuel Andry <eandry@mandriva.org> 0.29-1mdv2007.0
- New version 0.29

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.28-1mdv2007.0
- New version 0.28
- %%mkrel
- spec cleanup
- better source URL

* Tue Nov 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.27-1mdk
- 0.27

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.26-2mdk
- Rebuild for new perl. Fix URL

* Wed Oct 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.26-1mdk
- 0.26
- Add Changes file in documentation

* Sat Apr 24 2004 Michael Scherer <misc@mandrake.org> 0.25-1mdk
- 0.25
- rpmbuildupdate aware

